// A MINIMAL FORMATTER INSPECTOR OBJECT...

#import "OAZipCodeFormatter.h"
#import "OAZipCodeFormatterInspector.h"

@implementation OAZipCodeFormatterInspector

- init
{
    char                pathname[MAXPATHLEN + 1];

    [super init];

    if ([[NXBundle bundleForClass:[self class]]
	 getPath:pathname
	 forResource:"ZCFormatter"
	 ofType:"nib"] == YES) {

	[NXApp loadNibFile:pathname
	 owner:self
	 withNames:NO
	 fromZone:[self zone]];
    }
    return self;
}

- ok:sender
{
    [object setAmericanFormatter:
    	[americanCell state] ? YES:NO];
    [object setCanadianFormatter:
    	[canadianCell state] ? YES:NO];
	
    return [super ok:sender];
}

- revert:sender
{
    [americanCell setState:
    	[object isAmericanFormatter] ? 1:0];
    [canadianCell setState:
    	[object isCanadianFormatter] ? 1:0];
		
    return [super revert:sender];
}

@end
