// OATextField:TextField
// 
// COPYRIGHT 1994 BY M. ONYSCHUK AND ASSOCIATES INC.
// ALL RIGHTS RESERVED.

#import <appkit/TextField.h>

#import "OATextFieldCell.h"

@class OATextFieldFormatter;

@interface OATextField:TextField

// Factory methods
+ initialize;


// Instance methods
- textDidEnd:anObject endChar:(unsigned short)whyEnd;

- (OATextFieldFormatter *)textFieldFormatter;
- setTextFieldFormatter:(OATextFieldFormatter *)aValue;

- (OACaseMapping)caseMapping;
- setCaseMapping:(OACaseMapping)aValue;

- (OACharacterFiltering)characterFiltering;
- setCharacterFiltering:(OACharacterFiltering)aValue;

- (const char *)filteringExceptions;
- setFilteringExceptions:(const char *)aValue;

- (BOOL)doesRemoveLeadingWhitespace;
- setRemovesLeadingWhitespace:(BOOL)aValue;

- (BOOL)doesRemoveTrailingWhitespace;
- setRemovesTrailingWhitespace:(BOOL)aValue;

- (int)minimumLength;
- setMinimumLength:(int)aValue;

- (BOOL)doesCheckMinimumLength;
- setChecksMinimumLength:(BOOL)aValue;

- (int)maximumLength;
- setMaximumLength:(int)aValue;

- (BOOL)doesCheckMaximumLength;
- setChecksMaximumLength:(BOOL)aValue;

- (int)minimumValue;
- setMinimumValue:(int)aValue;

- (BOOL)doesCheckMinimumValue;
- setChecksMinimumValue:(BOOL)aValue;

- (int)maximumValue;
- setMaximumValue:(int)aValue;

- (BOOL)doesCheckMaximumValue;
- setChecksMaximumValue:(BOOL)aValue;

- (BOOL)isNullable;
- setNullable:(BOOL)aValue;

- (BOOL)isMandatory;
- setMandatory:(BOOL)aValue;

@end
