// OATextFieldFormatter:Object
// 
// COPYRIGHT 1994 BY M. ONYSCHUK AND ASSOCIATES INC.
// ALL RIGHTS RESERVED.

#import <objc/Object.h>

#define SCRATCH_SIZE	64

@interface OATextFieldFormatter:Object
{
	char *output;
}

- free;

- filterSubstring:(unsigned char *)inputText
    ofSize:(int)inputSize
    at:(int)position;

- (BOOL)formatString:(unsigned char *)inputText;

- setTextFieldCell:aCell;

- (const char *)output;
- setOutput:(const char *)aValue;
- setOutputNoCopy:(const char *)aValue;
- setOutputFormat:(const char *)format, ...;

@end
