// OAZipCodeFormatter:OATextFieldFormatter
//
// COPYRIGHT 1994 BY M. ONYSCHUK AND ASSOCIATES INC.
// ALL RIGHTS RESERVED.
//
// A Formatter for 10 digit numerics consisting of a 2 digit year value,
// a 6 digit sequence value, and a two digit location identifier value.

#import "OATextFieldFormatter.h"

@interface OAZipCodeFormatter:OATextFieldFormatter
{
    BOOL                americanFormatter;
    BOOL                canadianFormatter;
}
- filterSubstring:(unsigned char *)inputText
    ofSize:(int)inputSize
    at:(int)position;

- (BOOL)formatString:(unsigned char *)inputText;

- setTextFieldCell:aCell;

- (BOOL)isAmericanFormatter;
- setAmericanFormatter:(BOOL)aValue;

- (BOOL)isCanadianFormatter;
- setCanadianFormatter:(BOOL)aValue;

- read:(NXTypedStream *)aStream;
- write:(NXTypedStream *)aStream;
@end
