
#import <appkit/appkit.h>

#import <apps/InterfaceBuilder.h>

@class HashTable;

@interface OATextFieldInspector:IBInspector
{
    id	nullable;
    id	mandatory;
    id	checkMaximum;
    id	checkMinimum;
    id	maximumLength;
    id	minimumLength;
    id	checkMaximumValue;
    id	checkMinimumValue;
    id	maximumValue;
    id	minimumValue;
    id	caseMapping;
    id	characterFiltering;
    id	filteringExceptions;
    id	clipLeadingWhitespace;
    id	clipTrailingWhitespace;
    
    id	formatterInspector;

    id	formatterPopUpButton;
    id	formatterInspectorBox;
    id	formatterNotApplicableView;
    id	formatterNotApplicableWindow;
       
    HashTable	*formatterTable;    
}

// Instance methods
- init;

- (BOOL)wantsButtons;

- ok:sender;
- revert:sender;

- takeCheckMinimumFrom:sender;
- takeCheckMaximumFrom:sender;

- takeCheckMinimumValueFrom:sender;
- takeCheckMaximumValueFrom:sender;

- takeIsMandatoryFrom:sender;

- takeFormatterFrom:sender;

- setFormatterPopUpButtonTitle;
@end
